Bug 472761 - IPV6INIT in ifcfg-lo disappears every time initscripts is upgraded
Summary: IPV6INIT in ifcfg-lo disappears every time initscripts is upgraded
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-24 13:04 UTC by Jonathan Kamens
Modified: 2014-03-17 03:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-25 15:10:17 UTC
Type: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2008-11-24 13:04:24 UTC
Every time I upgrade initscripts (at least, I assume it's initscripts that's doing it, since ifcfg-lo is owned by initscripts), the setting "IPV6INIT=no" in ifcfg-lo disappears and I have to put it back by hand.

Comment 1 Bill Nottingham 2008-11-24 19:14:42 UTC
Is there a reason you want it specifically there rather than in /etc/sysconfig/network?

Comment 2 Jonathan Kamens 2008-11-24 19:37:44 UTC
No specific reason.  I just want it somewhere that works. Isn't it conceivable that someone would want to enable IPv6 on some interfaces but not others?

  jik

Comment 3 Bill Nottingham 2008-11-24 19:59:08 UTC
Yes, but I'm not seeing the point for loopback - even for those with security concerns, there's no addtional exposure there.

Comment 4 Jonathan Kamens 2008-11-25 01:52:59 UTC
VMware server doesn't work if IPv6 is active on any interface.

If I can disable IPv6 for all interfaces by putting it in /etc/sysconfig/network, great, I'm happy to do that, but surely the infrastructure should support disabling it on a per-interface basis, in which case why should loopback be treated any differently?

Comment 5 Bill Nottingham 2008-11-25 15:10:17 UTC
The best way to disable IPv6 entirely is to add 'install ipv6 /bin/true' to a modprobe.d file.

That being said, fixed in 
http://git.fedorahosted.org/git/?p=initscripts.git;a=commitdiff;h=de20eaf88158ace112993e4eeb55060b44594165


Note You need to log in before you can comment on or make changes to this bug.